Bug 41219 - AutomationId is not set to the native controls of a TabbedPages tab items
Summary: AutomationId is not set to the native controls of a TabbedPages tab items
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.2.0
Hardware: PC Mac OS
: Low enhancement
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-05-20 14:59 UTC by John Miller [MSFT]
Modified: 2016-11-16 20:58 UTC (History)
4 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description John Miller [MSFT] 2016-05-20 14:59:19 UTC
**Overview:**

   The tab items of a TabbedPage do not seem to get the AutomationId. 

**Actual Results:**

   Here is the code I think is relevant (needs confirmation) https://github.com/xamarin/Xamarin.Forms/blob/2.2.0/Xamarin.Forms.Platform.iOS/Renderers/TabbedRenderer.cs#L279

**Expected Results:**

   There is a "new UITabBarItem" created, but the AccessibilityIdentifier is not set to w/e the AutomationId is. 

**Build Date & Platform:**

   XF 2.2

**Additional Information:**

   I am not confident I am in the right area of code. I need someone on the Forms team to review and make sure this is understood correctly. The end result is that a tab item should have an AccessibilityIdentifier.
Comment 1 Rui Marinho 2016-06-30 17:41:53 UTC
Accepted Enhancement
Thank you for taking the time to submit this feature request. We like this idea and have added it to our internal feature tracking system.

Warm regards,
Xamarin Forms Team
Comment 2 adrianknight89 2016-11-15 03:34:49 UTC
See https://github.com/xamarin/Xamarin.Forms/pull/530
Comment 3 Samantha Houts [MSFT] 2016-11-16 20:58:49 UTC
Should be fixed in 2.3.4-pre1. Thank you!